org.jgrapht.experimental.dag

## Class DirectedAcyclicGraph.CycleFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgrapht.experimental.dag.DirectedAcyclicGraph.CycleFoundException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DirectedAcyclicGraph<V,E>

      public static class DirectedAcyclicGraph.CycleFoundException
      extends Exception

  Exception used in dfsF when a cycle is found
  Author:
    gilesp
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectedAcyclicGraph.CycleFoundException()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectedAcyclicGraph.CycleFoundException

          public DirectedAcyclicGraph.CycleFoundException()

Copyright © 2016. All rights reserved.